//
//  PerformaxController.h
//  TestAppPerformax
//
//  Created by user on 2/23/13.
//  Copyright (c) 2013 user. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "PerformaxDriverMac.h"

#define MAX_NUM_PERFORMAX_DEVICES 100   /* to confirm finally */

@interface PerformaxController : NSObject

{
@private
    AR_HANDLE	device_Handle[MAX_NUM_PERFORMAX_DEVICES]; //usb handle
    BOOL timeoutsSet;
    // Create an instance of PerformaxDriver.
    PerformaxDriverMac *perDriver;
}

@property (weak) IBOutlet NSTextField *NumPerDevices;
@property (weak) IBOutlet NSTextField *ReadTimeout;
@property (weak) IBOutlet NSTextFieldCell *WriteTimeout;
@property (weak) IBOutlet NSComboBox *PerformaxDev;
@property (weak) IBOutlet NSTextField *ProductStr;
@property (weak) IBOutlet NSTextField *ProductId;
@property (weak) IBOutlet NSTextField *DeviceNum;
@property (weak) IBOutlet NSTextField *LowSpeed;
@property (weak) IBOutlet NSTextField *HighSpeed;
@property (weak) IBOutlet NSTextField *Polarity;
@property (weak) IBOutlet NSTextField *Acceleration;
@property (weak) IBOutlet NSTextField *MoveDistance;
@property (weak) IBOutlet NSTextField *GenRequest;
@property (weak) IBOutlet NSTextField *GenResponse;

- (IBAction)SearchClick:(id)sender;
- (IBAction)SetTimeoutsClick:(id)sender;
- (IBAction)GetProductStrClick:(id)sender;
- (IBAction)OpenDevice:(id)sender;
- (IBAction)CloseDevice:(id)sender;
- (IBAction)FlushDevice:(id)sender;
- (IBAction)GetProductID:(id)sender;
- (IBAction)GetDevNum:(id)sender;
- (IBAction)EnableDevice:(id)sender;
- (IBAction)SetLowSpeed:(id)sender;
- (IBAction)SetHighSpeed:(id)sender;
- (IBAction)SetPolarity:(id)sender;
- (IBAction)SetAcceleration:(id)sender;
- (IBAction)MoveMotor:(id)sender;
- (IBAction)GenRqstResp:(id)sender;

@end
